%define		gstreamer	gstreamer
%define		majorminor	0.10

Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	Streaming media framework 0.10.x
Name:		gstreamer10
Version:	0.10.31
Release:	1
Epoch:		1
Obsoletes:	gstreamer
License:	GNU/GPL 
URL:		http://gstreamer.sourceforge.net
Group:		Video
Source0:	gstreamer-%{version}.tar.bz2
Source1:        gstreamer.prov
Source2:        macros.gstreamer
# prefer python 2.6 over every version 
Patch0:		gstreamer10-python26.patch
# For the GStreamer RPM provides
Patch1: 	gstreamer10-inspect-rpm-format.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	popt
BuildRequires:	gettext
BuildRequires:	docbook-dtds
BuildRequires:	gtk-doc 
Obsoletes:	gstreamer10-doc

BuildRequires:  python26-devel
BuildRequires:	flex-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  libffi-devel
BuildRequires:  which

BuildRequires: check-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libxml2-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
GStreamer is a library that allows the construction of graphs
of media-handling components, ranging from simple Ogg/Vorbis
playback to complex audio (mixing) and video (non-linear editing)
processing. Applications can take advantage of advances in codec
and filter technology transparently. Developers can add new
codecs and filters by writing a simple plugin with a clean,
generic interface. This is the 0.10.x incarnation of gstreamer
which installs in parallel to the 0.8.x version.

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	gstreamer-devel

%description	devel
Header and include files for developing applications with %{name}.

%prep
%setup -qn gstreamer-%{version}
%patch0 -p1
%patch1 -p1
sed -i "s#http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd#/usr/share/sgml/docbook/xml-dtd-4.5-1.0-4/docbookx.dtd#" docs/gst/gstreamer-docs.sgml
sed -i "s#http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd#/usr/share/sgml/docbook/xml-dtd-4.5-1.0-4/docbookx.dtd#" docs/libs/gstreamer-libs-docs.sgml

%build
%configure --with-package-name='CCux gstreamer package' --disable-gtk-doc --enable-debug --disable-tests --disable-examples --enable-introspection=yes
make %{?_smp_mflags} ERROR_CFLAGS="" LIBTOOL="%{_bindir}/libtool"

%install
rm -rf $RPM_BUILD_ROOT

# Install doc temporarily in order to be included later by rpm
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang gstreamer-%{majorminor}
# Clean out files that should not be part of the rpm. 
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
# Create empty cache directory
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/cache/gstreamer-%{majorminor}

# Add the provides script
install -m0755 -D %{SOURCE1} $RPM_BUILD_ROOT%{_prefix}/lib/rpm/gstreamer.prov
# Add the macros file
install -m0644 -D %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/macros.gstreamer

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f gstreamer-%{majorminor}.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README RELEASE TODO
%{_libdir}/libgstreamer-%{majorminor}.so.*
%{_libdir}/libgstbase-%{majorminor}.so.*
%{_libdir}/libgstcontroller-%{majorminor}.so.*
%{_libdir}/libgstdataprotocol-%{majorminor}.so.*
%{_libdir}/libgstnet-%{majorminor}.so.*

%dir %{_libdir}/gstreamer-%{majorminor}
%{_libdir}/gstreamer-%{majorminor}/libgstcoreelements.so
%{_libdir}/gstreamer-%{majorminor}/libgstcoreindexers.so

%{_bindir}/gst-feedback-%{majorminor}
%{_bindir}/gst-inspect-%{majorminor}
%{_bindir}/gst-launch-%{majorminor}
%{_bindir}/gst-typefind-%{majorminor}
%{_bindir}/gst-xmlinspect-%{majorminor}
%{_bindir}/gst-xmllaunch-%{majorminor}

%doc %{_mandir}/man1/gst-feedback-%{majorminor}.*
%doc %{_mandir}/man1/gst-inspect-%{majorminor}.*
%doc %{_mandir}/man1/gst-launch-%{majorminor}.*
%doc %{_mandir}/man1/gst-typefind-%{majorminor}.*
%doc %{_mandir}/man1/gst-xmlinspect-%{majorminor}.*
%doc %{_mandir}/man1/gst-xmllaunch-%{majorminor}.*
%{_bindir}/gst-feedback
%{_bindir}/gst-inspect
%{_bindir}/gst-launch
%{_bindir}/gst-typefind
%{_bindir}/gst-xmlinspect
%{_bindir}/gst-xmllaunch

%{_prefix}/libexec/gstreamer-0.10/gst-plugin-scanner


%{_libdir}/girepository-1.0/GstCheck-0.10.typelib
%{_datadir}/gir-1.0/GstCheck-0.10.gir

# avoid clash with gir-repository package
%exclude %{_libdir}/girepository-1.0/Gst-0.10.typelib
%exclude %{_libdir}/girepository-1.0/GstBase-0.10.typelib
%exclude %{_libdir}/girepository-1.0/GstController-0.10.typelib
%exclude %{_libdir}/girepository-1.0/GstNet-0.10.typelib
%exclude %{_datadir}/gir-1.0/Gst-0.10.gir
%exclude %{_datadir}/gir-1.0/GstBase-0.10.gir
%exclude %{_datadir}/gir-1.0/GstController-0.10.gir
%exclude %{_datadir}/gir-1.0/GstNet-0.10.gir

%files devel
%defattr(-, root, root, -)
%dir %{_includedir}/gstreamer-%{majorminor}
%dir %{_includedir}/gstreamer-%{majorminor}/gst
%{_includedir}/gstreamer-%{majorminor}/gst/*.h

%{_includedir}/gstreamer-%{majorminor}/gst/base
%{_includedir}/gstreamer-%{majorminor}/gst/check
%{_includedir}/gstreamer-%{majorminor}/gst/controller
%{_includedir}/gstreamer-%{majorminor}/gst/dataprotocol
%{_includedir}/gstreamer-%{majorminor}/gst/net

%{_libdir}/libgstreamer-%{majorminor}.so
%{_libdir}/libgstdataprotocol-%{majorminor}.so
%{_libdir}/libgstbase-%{majorminor}.so
%{_libdir}/libgstcheck-%{majorminor}.so*
%{_libdir}/libgstcontroller-%{majorminor}.so
%{_libdir}/libgstnet-%{majorminor}.so

%{_datadir}/aclocal/gst-element-check-%{majorminor}.m4
%{_libdir}/pkgconfig/gstreamer-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-base-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-controller-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-check-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-dataprotocol-%{majorminor}.pc
%{_libdir}/pkgconfig/gstreamer-net-%{majorminor}.pc

%doc %{_datadir}/gtk-doc/html/gstreamer-%{majorminor}
%doc %{_datadir}/gtk-doc/html/gstreamer-libs-%{majorminor}
%doc %{_datadir}/gtk-doc/html/gstreamer-plugins-%{majorminor}

%{_prefix}/lib/rpm/gstreamer.prov
%{_sysconfdir}/rpm/macros.gstreamer



%changelog
* Sun Dec 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.31-1
- Version update
* Mon May 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.29-1
- Version update
* Tue Mar 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.28-2
- Version update
- fixed file conflicts with gir-repository
* Tue Mar 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.10.28-1
- Version update
* Fri Aug 28 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.24-1
- Version update
* Tue Jun 23 2009 Christian Metzen <metzench@ccux-linux.de> 0.10.23-1
- Version update
- add rpm macros
* Mon Jan 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.10.22-1
- Version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.21-1
- Version update
* Mon Mar 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.18-1
- Version update
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.10.17-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 0.10.14-1
- Version Update
* Tue Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.10.12-1
- Version Update
* Sun Sep 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.10-1
- Version Update
* Tue Aug 22 2006 Christian Metzen <metzench@ccux-linux.de> 0.10.9-3
- Fixed requires for devel and doc package
* Mon Aug 07 2006 Christian Metzen <metzench@ccux-linux.de> 0.10.9-2
- Added obsoletes for gstreamer because of conflicting files
* Sat Jul 22 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.10.9-1
- Version update
* Sun May 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.5-1
- Version Update
* Sat Mar 11 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.10.4-1
- Initial Release, to large extends based on Gottis gstreamer-08 spec
